stl_iterator_base_types.h File Reference

Go to the source code of this file.

## Classes

class | std::__has_iterator_category_helper< _Tp >
struct | std::bidirectional_iterator_tag
struct | std::forward_iterator_tag
struct | std::input_iterator_tag
struct | std::iterator< _Category, _Tp, _Distance, _Pointer, _Reference >
struct | std::iterator_traits< _Tp * >
struct | std::iterator_traits< const _Tp * >
struct | std::output_iterator_tag
struct | std::random_access_iterator_tag

## Namespaces

namespace | std

## Typedefs

template<typename _InIter >
using | std::_RequireInputIter = typename enable_if< is_convertible< typename iterator_traits< _InIter >::iterator_category, input_iterator_tag >::value >::type

## Functions

template<typename _Iter >
iterator_traits< _Iter > ::iterator_category | std::__iterator_category (const _Iter &)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

This file contains all of the general iterator-related utility types, such as iterator_traits and struct iterator.

Definition in file stl_iterator_base_types.h.